Package docking.widgets.table.threaded

# Class ThreadedBackupRowComparator<T>

java.lang.Object
docking.widgets.table.sort.ColumnRenderedValueBackupComparator<T>
docking.widgets.table.threaded.ThreadedBackupRowComparator<T>

Type Parameters:
  `T` - the row type

All Implemented Interfaces:
  `Comparator<Object>`

public class ThreadedBackupRowComparator<T> extends ColumnRenderedValueBackupComparator<T>
A version of `ColumnRenderedValueBackupComparator` that uses the `ThreadedTableModel`'s cache for column lookups

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.sort.ColumnRenderedValueBackupComparator

  `model, sortColumn`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThreadedBackupRowComparator(ThreadedTableModel<T,?> model, int sortColumn)`
  Constructs this class with the given column comparator that will get called after the given row is converted to the column value for the given sort column

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `getColumnValue(T t)`

  ### Methods inherited from class docking.widgets.table.sort.ColumnRenderedValueBackupComparator

  `compare`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Constructor Details

  - ### ThreadedBackupRowComparator

    public ThreadedBackupRowComparator(ThreadedTableModel<T,?> model, int sortColumn)
    Constructs this class with the given column comparator that will get called after the given row is converted to the column value for the given sort column
    Parameters:
      `model` - the table model using this comparator
      `sortColumn` - the column being sorted
    See Also:
      - `RowBasedColumnComparator`

- ## Method Details

  - ### getColumnValue

    protected Object getColumnValue(T t)
    Overrides:
      `getColumnValue` in class `ColumnRenderedValueBackupComparator<T>`